<template>
  <div>
    <label for="limit">Limit: </label>
    <select v-model="selected" @change="limitTodos">
      <option value="200">200</option>
      <option value="100">100</option>
      <option value="50">50</option>
      <option value="20">20</option>
      <option value="10">10</option>
      <option value="5">5</option>
    </select>

  </div>
</template>

<script>
import { mapActions } from 'vuex';
export default {
  name: 'FilterTodos',
  data() {
    return {
      selected: '',
    }
  },
  methods: {
    ...mapActions(['filterTodos']),
    limitTodos(e) {
      e.preventDefault();
      this.filterTodos(this.selected);
    }
  }
};
</script>

<style scoped>
  label {
    font-size: 18px;
  }
  select {
    margin-top: 30px;
    padding: 10px;
    margin-left: 10px;
    border: 1px solid #41b883;
    background: #41b883;
    color: #fff;
    border-radius: 5px;
  }
  
</style>
